import request from '@/utils/request'

//1.配置动态导航 start ------------------------------------->

//1.1 获取资讯列表
export function getMenuList(params) {
  return request({
    url: '/authority/getMenuList',
    method: 'get',
    params
  })
}

//1.2 添加动态导航
export function addMenu(data) {
  return request({
    url: '/authority/addMenu',
    method: 'post',
    data
  })
}

//1.3 修改菜单
export function updateMenu(data) {
  return request({
    url: '/authority/updateMenu',
    method: 'post',
    data
  })
}

//1.4 删除菜单
export function delMenu(data) {
  return request({
    url: '/authority/delMenu',
    method: 'post',
    data
  })
}

//1.配置动态导航 end ------------------------------------->